@charset "utf-8";


.news-list {
    .inner {
        max-width: 1250px;
        width: 90%;
        margin: 0 auto;
        padding: 80px 0 116px;

        .news-cate {
            display: flex;
            align-items: center;
            gap: 40px;
            margin-bottom: 80px;

            @media(max-width:900px) {
                gap: 17px;
            }

            a {
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 16px 54px 16px 20px;
                border-radius: 50px;
                background-color: #B9B9B9;
                color: #FFFFFF;
                font-family: var(--fmain);
                font-weight: 500;
                font-size: clamp(0.875rem, 0.626rem + 0.52vw, 1.25rem);
                letter-spacing: 0.1em;
                position: relative;


                @media(max-width:900px) {
                    padding: 8px 33px 8px 14px;
                }
            }

            a::after {
                content: "";
                background: url(/system_panel/uploads/images/20251215055337431859.svg) no-repeat center/contain;
                width: 20px;
                height: 20px;
                position: absolute;
                top: 0;
                bottom: 0;
                margin: auto;
                right: 20px;

                @media(max-width:900px) {
                    right: 9px;
                    width: 12px;
                    height: 12px;
                }
            }
        }
    }

    .news-main {
        .newsLink {
            width: 100%;
            display: block;
        }

        .newsLink:hover .link-arrow {
            background-image: url(/system_panel/uploads/images/20251211051717225624.svg);
        }

        .webgene-blog {
            display: flex;
            flex-direction: column;
            gap: 40px;
            align-items: flex-start;
        }

        .newsItem {
            width: 100%;
        }

        .newsTextWrap {
            display: flex;
            gap: 76px;
            align-items: flex-start;
            padding-bottom: 40px;
            border-bottom: 1px solid #707070;

            @media(max-width:900px) {
                display: grid;
                grid-template-columns: max-content auto;
                grid-template-rows: auto;
                gap: 20px 24px;
            }
        }

        .newsItemCate {
            font-family: var(--fen);
            font-weight: 600;
            font-size: 14px;
            text-align: center;
            color: #fff;
            padding: 4px 12px;
            background-color: #B9B9B9;
            border-radius: 50px;
            display: inline-block;
        }

        .newsItemText {
            flex: 1;
            display: flex;
            flex-direction: column;
            gap: 19px;
            align-items: flex-start;

            @media(max-width:900px) {
                grid-area: 1 / 2 / 2 / 3;
            }
        }

        .newsItemTit {
            font-family: var(--fmain);
            font-weight: 500;
            --fmin: 14;
            --fmax: 20;
            font-size: clamp(0.875rem, 0.626rem + 0.52vw, 1.25rem);
            color: #000;
        }

        .newsItemTime {
            font-family: var(--fen);
            font-weight: normal;
            --fmin: 24;
            --fmax: 40;
            font-size: clamp(1.5rem, 0.835rem + 1.39vw, 2.5rem);
            color: #003657;

            @media(max-width:900px) {
                grid-area: 1 / 1 / 2 / 2;
            }
        }

        .more {
            display: flex;
            align-items: center;
            gap: 30px;
            margin-top: auto;

            @media(max-width:900px) {
                grid-area: 2 / 1 / 3 / 3;
                margin-left: auto;
            }

            .link-arrow {
                position: relative;
                background-image: url(/system_panel/uploads/images/20251211051431253240.svg);
                width: 65px;
                height: 33px;
                inset: 0;
                transition: .4s ease;

                @media(max-width:700px) {
                    width: 39px;
                    height: 20px;
                    border-radius: 10px;
                }
            }

            p {
                font-family: var(--fmain);
                font-weight: 500;
                --fmin: 12;
                --fmax: 16;
                font-size: clamp(0.75rem, 0.584rem + 0.35vw, 1rem);
                color: #000;
            }
        }
    }
}


.news-detail {
    padding: 80px 0 116px;

    .inner {
        max-width: 1152px;
        width: 90%;
        margin: 0 auto;
        background-color: #FFF;
        padding: 55px 0 80px;

        .webgene-blog {
            max-width: 837px;
            width: 90%;
            margin: 0 auto;
        }

        .newsDetail-wrap {
            padding-bottom: 80px;
            border-bottom: 2px solid #000;
            margin-bottom: 50px;
        }

        .newsItemText {
            display: flex;
            gap: 20px;
            align-items: center;
            margin-bottom: 24px;

            .newsItemTime {
                font-family: var(--fen);
                font-weight: normal;
                --fmin: 24;
                --fmax: 40;
                font-size: clamp(1.5rem, 0.835rem + 1.39vw, 2.5rem);
                color: #003657;
            }

            .newsItemCate {
                font-family: var(--fen);
                font-weight: 600;
                font-size: 14px;
                text-align: center;
                color: #fff;
                padding: 4px 12px;
                background-color: #B9B9B9;
                border-radius: 50px;
                display: inline-block;
            }
        }

        .newsDetailTit {
            font-family: var(--fmain);
            font-weight: 500;
            font-size: clamp(1.125rem, 1.042rem + 0.17vw, 1.25rem);
            line-height: calc(32/20*100%);
            text-align: left;
            color: #000;
            padding-bottom: 33px;
            border-bottom: 1px solid #000;
            margin-bottom: 30px;
        }

        .btn {
            display: block;
            margin: 0 auto;
            max-width: 284px;
            width: 100%;
            border-radius: 50px;
            color: #FFF;
            text-align: center;
            font-family: var(--fmain);
            font-weight: 500;
            font-size: 20px;
            background-color: #003657;
            transition: .4s ease;
        }

        .btn:hover {
            filter: opacity(50%);
        }
    }
}

/*====================
Pagination
====================*/
.webgene-pagination {
    width: 100%;
    grid-column: 1 / 3;
}

.webgene-pagination>ul {
    display: flex;
    gap: 1em;
    padding: 0;
    justify-content: center;

    @media(max-width:900px) {
        gap: 22px;
    }
}

.webgene-pagination>ul>li {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 40px;
    padding: 4px;
    background-color: #FFF;
    list-style: none;
}

.webgene-pagination>ul>li.selected,
.webgene-pagination>ul>li:hover {
    background: #FFF;
    border-color: #C3C3C3;
}

.webgene-pagination>ul>li a {
    position: relative;
    color: #003657 !important;
    padding: 0.8rem 1.3rem;
    background-color: #FFF;
    border: 1px solid #003657;

    @media(max-width:900px) {
        padding: 6px 10px;
    }
}

.webgene-pagination>ul>li.selected a,
.webgene-pagination>ul>li:hover a {
    position: relative;
    color: #003657 !important;
}

.webgene-pagination>ul>li.selected a:before,
.webgene-pagination>ul>li:hover a:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 4px;
    background-color: #003657;
}